Google Guice 4.2.2 发布,支持 Java 11-阿里云开发者社区

开发者社区> 开发与运维> 正文

Google Guice 4.2.2 发布,支持 Java 11

简介:

Guice 4.2.2 已发布了,Guice 是 Google 开发的一个基于 Java 6 以上的轻量级依赖注入框架,目标是使开发和调试更容易,更快速。

主要更新内容:

  • 支持 Java11 (updated cglib & asm).

下载地址:

Guice:

<dependency>
  <groupId>com.google.inject</groupId>
  <artifactId>guice</artifactId>
  <version>4.2.2</version>
</dependency>

Guice (No AOP):

<dependency>
  <groupId>com.google.inject</groupId>
  <artifactId>guice</artifactId>
  <version>4.2.2</version>
  <classifier>no_aop</classifier>
</dependency>

Extensions:

<dependency>
  <groupId>com.google.inject.extensions</groupId>
  <artifactId>guice-${extension}</artifactId>
  <version>4.2.2</version>
</dependency>
本文来自云栖社区合作伙伴“开源中国”
本文作者:达尔文

版权声明:本文首发在云栖社区,遵循云栖社区版权声明:本文内容由互联网用户自发贡献,版权归用户作者所有,云栖社区不为本文内容承担相关法律责任。云栖社区已升级为阿里云开发者社区。如果您发现本文中有涉嫌抄袭的内容,欢迎发送邮件至:developer2020@service.aliyun.com 进行举报,并提供相关证据,一经查实,阿里云开发者社区将协助删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章